Method: projects.instances.tables.dropRowRange

Permanently drop/delete a row range from a specified table. The request can specify whether to delete all rows in a table, or only those that match a particular prefix. Note that row key prefixes used here are treated as service data. For more information about how service data is handled, see the Google Cloud Privacy Notice.

HTTP request

POST https://bigtableadmin.googleapis.com/v2/{name=projects/*/instances/*/tables/*}:dropRowRange

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique name of the table on which to drop a range of rows. Values are of the form projects/{project}/instances/{instance}/tables/{table}.

Authorization requires the following IAM permission on the specified resource name:

  • bigtable.tables.mutateRows

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "rowKeyPrefix": string,
  "deleteAllDataFromTable": boolean
  // End of mutually exclusive fields.
}
Fields
Delete all rows or by prefix. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
rowKeyPrefix

string (bytes format)

Delete all rows that start with this row key prefix. Prefix cannot be zero length.

A base64-encoded string.

deleteAllDataFromTable

boolean

Delete all rows in the table. Setting this to false is a no-op.

End of mutually exclusive fields.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigtable.admin
  • https://www.googleapis.com/auth/bigtable.admin.table
  • https://www.googleapis.com/auth/cloud-bigtable.admin
  • https://www.googleapis.com/auth/cloud-bigtable.admin.table
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.